/* eslint-disable prettier/prettier */
/* eslint-disable @typescript-eslint/no-var-requires */
/* eslint-disable prettier/prettier */
import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
const bodyParser = require('body-parser');
require('dotenv').config()

async function bootstrap() {
  const app = await NestFactory.create(AppModule);

   // Increase the body size limit
   app.use(bodyParser.json({ limit: '50mb' }));
   app.use(bodyParser.urlencoded({ limit: '50mb', extended: true }));

  app.enableCors({
    origin: '*',
    methods: 'GET,POST,PUT,DELETE,OPTIONS',
    allowedHeaders: [
      'Content-Type', 'Authorization', "Access-Control-Allow-Headers",
      "X-Requested-With", "X-Access-Token", "Content-Type",
      "Host", "Accept", "Connection", "Cache-Control"
    ],
    credentials: true, // if you need to support cookies or other credentials
  });

  await app.listen(process.env.PORT, '0.0.0.0').then(() => {
    console.log(`Fis-Socket is now listening to localhost:${process.env.PORT}`)
  })
}
bootstrap();
